SKUs
Create Style Skus
POST
/
styles
/
{style_id}
/
skus
Create Style Skus
curl --request POST \
--url https://vinmake-erp.onrender.com/styles/{style_id}/skus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"color": "<string>",
"size": "<string>",
"qrData": "<string>",
"isKittedBundle": false,
"kittedBundle": [
{}
]
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/styles/{style_id}/skus"
payload = { "items": [
{
"color": "<string>",
"size": "<string>",
"qrData": "<string>",
"isKittedBundle": False,
"kittedBundle": [{}]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
color: '<string>',
size: '<string>',
qrData: '<string>',
isKittedBundle: false,
kittedBundle: [{}]
}
]
})
};
fetch('https://vinmake-erp.onrender.com/styles/{style_id}/skus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"documentId": "<string>",
"color": "<string>",
"size": "<string>",
"qrData": "<string>",
"isKittedBundle": false,
"kittedBundle": [
{}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
⌘I
Create Style Skus
